what firmware for the phantom 4 rtk SDK controller?

127
0
01-23-2024 07:14 AM
BertKraan1
Occasional Contributor III

I'm using a dji phantom 4 rtk with sdk controller and sitescan.

The matrix for supported drones page (for sitescan f l i g h t , I'm aware of that) here states I should use firmware 02.02.0608 or 02.02.0611 for this drone, however that can not be downloaded from DJI's download page https://dji.com/nl/downloads/products/phantom-4-rtk

I'm able to fly by ignoring error messages during the pre-flight checks but what would be a good solution?

 

thanks in advance for your time.

 

Bert

0 Kudos
0 Replies